<?php
$name = "indra"; // wszystkie małe litery (wzorzec)
$enter = " Indra "; // imię wpisane przez użytkownika

// pozbycie się spacji na początku i na końcu oraz zamiana na małe litery
$enter = mb_strtolower(trim($enter)); // przypisujemy wynik do tej samej zmiennej

if ($name == $enter) {
    print "Imiona są identyczne!";
} else {
    print "Imiona się różnią!";
}